Page MenuHomeFreeBSD

New port: net-im/prosody-modules
ClosedPublic

Authored by tcberner on Apr 14 2017, 8:30 PM.

Details

Summary

See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=214960

It's mostly the same as in the shar of the pr.

  • added myself as the MAINTAINER, as that is probably better than ports@,
  • dropped PKG_MESSAGE=
  • added LOCAL/ to MASTER_SITES and DIST_SUBDIR as the distname is garbage
  • added LICENSE_FILE

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Use upper case for variable name, like in the rest of the tree.

rakuco added inline comments.
net-im/prosody-modules/Makefile
4 ↗(On Diff #27514)

I'm assuming you've checked and there's no real version number that we could use.

27 ↗(On Diff #27514)

I wonder if there needs to be a runtime dependency on Lua or if it's unnecessary.

This revision is now accepted and ready to land.Apr 18 2017, 12:47 PM
mat requested changes to this revision.Apr 18 2017, 4:16 PM
mat added inline comments.
net-im/prosody-modules/Makefile
27 ↗(On Diff #27514)

Never, ever, use ${CP} to install files. Use the ${INSTALL_*} macros.

This revision now requires changes to proceed.Apr 18 2017, 4:16 PM
tcberner edited edge metadata.

Use INSTALL_DATA instead of CP

tcberner added inline comments.
net-im/prosody-modules/Makefile
4 ↗(On Diff #27514)

yes, this is just a snasphot from hg, there do not seem to be proper releases, as far as I can find.

27 ↗(On Diff #27514)

lua will be pulled in by net-im/prosody -- I can add it if it makes things clearer though.

This revision is now accepted and ready to land.Apr 19 2017, 2:36 PM
net-im/prosody-modules/Makefile
27 ↗(On Diff #27544)

COPYING is already taken care of by LICENSE_FILE, so it is not needed.

README should probably go to DOCSDIR.

tcberner edited edge metadata.

Don't install license file twice, move README to $DOCSDIR and add a PLIST_SUB for INSTALLPATH.

This revision now requires review to proceed.Apr 23 2017, 6:46 PM
This revision is now accepted and ready to land.Apr 25 2017, 9:20 PM
This revision was automatically updated to reflect the committed changes.